summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorDan McCurry2016-04-01 13:07:13 -0500
committerDan McCurry2016-04-01 13:07:13 -0500
commit11457661225a0378d3065058786a746ae943d180 (patch)
tree3ac4d87d207c01467b94d853c712b450eeee482e
parente6e6d2fd88765135aef0863923653d6314619fac (diff)
downloadaur-11457661225a0378d3065058786a746ae943d180.tar.gz
Fixed airspy dependency and changed license as package does not conform to GPL with nonfree components
-rw-r--r--.SRCINFO8
-rw-r--r--PKGBUILD13
2 files changed, 13 insertions, 8 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 3564da7f75f..c84e5d2e820 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,23 +1,23 @@
pkgbase = gr-osmosdr-nonfree-git
- pkgdesc = GNU Radio source block for OsmoSDR with nonfree components, such as sdrplay enabled.
+ pkgdesc = GNU Radio source block for OsmoSDR with nonfree components, such as sdrplay, enabled.
pkgver = 0.1.4.72.g164a09f
- pkgrel = 1
+ pkgrel = 2
url = http://sdr.osmocom.org/trac/
install = gr-osmosdr-nonfree-git.install
arch = i686
arch = x86_64
- license = GPL
+ license = custom
makedepends = git
makedepends = cmake
makedepends = boost
makedepends = python2-cheetah
depends = gnuradio
depends = swig
+ depends = airspy
optdepends = gnuradio-iqbal: Osmocom IQ imbalance correction support
optdepends = rtl-sdr-git: Osmocom RTLSDR support
optdepends = libosmosdr-git: sysmocom OsmoSDR support
optdepends = libmirisdr-git: Osmocom MiriSDR support
- optdepends = airspy-git: AIRSPY Receiver support
optdepends = soapysdr-git: SoapySDR support
optdepends = libsdrplay: SDRplay RSP support
optdepends = gnuradio-fcdproplus: FUNcube Dongle Pro+ support
diff --git a/PKGBUILD b/PKGBUILD
index 4c655e92fc4..d95fc758238 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -5,14 +5,15 @@
pkgname=gr-osmosdr-nonfree-git
pkgver=0.1.4.72.g164a09f
-pkgrel=1
-pkgdesc="GNU Radio source block for OsmoSDR with nonfree components, such as sdrplay enabled."
+pkgrel=2
+pkgdesc="GNU Radio source block for OsmoSDR with nonfree components, such as sdrplay, enabled."
arch=('i686' 'x86_64')
url="http://sdr.osmocom.org/trac/"
-license=('GPL')
+license=('custom')
depends=(
'gnuradio'
'swig'
+ 'airspy'
)
makedepends=(
'git'
@@ -25,7 +26,6 @@ optdepends=(
'rtl-sdr-git: Osmocom RTLSDR support'
'libosmosdr-git: sysmocom OsmoSDR support'
'libmirisdr-git: Osmocom MiriSDR support'
- 'airspy-git: AIRSPY Receiver support'
'soapysdr-git: SoapySDR support'
'libsdrplay: SDRplay RSP support'
'gnuradio-fcdproplus: FUNcube Dongle Pro+ support'
@@ -53,6 +53,10 @@ pkgver() {
prepare() {
cd "${srcdir}"/$_gitname
+
+ # The binaries no longer follow GPL terms and cannot be
+ # distributed due to nonfree components.
+ sed -i '1s/^/NONFREE components have been enabled. The resulting\nbinaries cannot be distributed under GPL terms.\n\n/' COPYING
}
build() {
@@ -70,6 +74,7 @@ build() {
package() {
cd "$srcdir/$_gitname/build/"
make DESTDIR=${pkgdir} install
+ install -Dm644 $srcdir/$_gitname/COPYING $pkgdir/usr/share/licenses/$pkgname/LICENSE
}
# vim:set ts=2 sw=2 et: